Please merge netcat-openbsd 1.105-6 (main) from Debain unstable

Bug #1006631 reported by Adam Gandelman on 2012-05-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
netcat-openbsd (Ubuntu)
Undecided
Unassigned

Bug Description

netcat-openbsd (1.105-6) unstable; urgency=low

  * Fix segfaults when using -Ulv (Closes: #668558).
  * Do not continue to listen on port after accepting connection.

 -- Aron Xu <email address hidden> Thu, 03 May 2012 07:38:59 +0800

netcat-openbsd (1.105-5) unstable; urgency=low

  * Add $LDFLAGS from environment (Closes: #665321).

 -- Aron Xu <email address hidden> Mon, 26 Mar 2012 01:37:16 +0800

netcat-openbsd (1.105-4) unstable; urgency=high

  * High urgency for fixing RC bug.
  * Fix readwrite() behaviour (Closes: #662741).

 -- Aron Xu <email address hidden> Tue, 06 Mar 2012 15:18:26 +0800

netcat-openbsd (1.105-3) unstable; urgency=low

  * Clear up symlink of man page.
  * Use Breaks instead of Conflicts.
  * Fix minor warnings from man.

 -- Aron Xu <email address hidden> Sun, 19 Feb 2012 14:28:46 +0800

netcat-openbsd (1.105-2) unstable; urgency=low

  * Add missing Build-Depends: pkg-config.

 -- Aron Xu <email address hidden> Sun, 19 Feb 2012 03:59:37 +0800

netcat-openbsd (1.105-1) unstable; urgency=low

  * New upstream CVS snapshot, new maintainer.
    - Verbose message to strerr (Closes: #570765).
    - Can use packet's content > 1024 (Closes: #607003).
    - Replace non-portable echo with printf (Closes: #510372).
  * debian/patches:
    - Rearrange existing patches, fix new porting issues.
    - Option -l and -p are now compatible (Closes: #540073).
    - Use libbsd instead of glib for strlcpy (Closes: #550611).
    - Fix build with -Wl,--as-needed (Closes: #604781).
    - Handling multiple clients subsquently when -k (Closes: #514792).
    - Replace inet_ntoa with inet_ntop to support IPv6
      (Closes: #512992).
    - Modify -q behavior to be compatible with nc.traditional
      (Closes: #508722, #594614, #606925, #611964).
    - DCCP and broadcast support.
    - Arbitrary port list to scan.
    - Fix misc connection failures
      (Closes: #579485, #579486, #579487, #579488, #633948).
    - Improve verbose information and documentations.
  * debian/rules:
    - Link nc.openbsd.1 from nc.1 (Closes: #535951).
    - Enable optional hardening build flags.
  * debian/control:
    - Replace glib with libbsd.
    - Update to use debhelper 8, std-ver 3.9.2.
    - Priority: important, to make it into base system.
    - Add Vcs-*.
  * debian/compat:
    - Update to 8 from 4.

 -- Aron Xu <email address hidden> Wed, 15 Feb 2012 01:39:04 +0800

Related branches

Sebastien Bacher (seb128) wrote :

(unsubscribing sponsors from the bug since the merge request is already on the sponsoring queue)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netcat-openbsd - 1.105-6ubuntu1

---------------
netcat-openbsd (1.105-6ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006631).
  * debian/patches/verbose-message-to-stderr.patch: Dropped,
    applied upstream.
  * debian/patches/dccp.patch: Dropped, applied in Debian.
  * debian/control: Update XSBC-Original-Maintainer.
  * debian/patches/netcat-info.patch: Refresh.
  * Remaining changes:
    - debian/patches/netcat-info.patch: Add info about netcat-traditional
      if you are looking for an option when it is not available.
      (LP: #590925)

netcat-openbsd (1.105-6) unstable; urgency=low

  * Fix segfaults when using -Ulv (Closes: #668558).
  * Do not continue to listen on port after accepting connection.

netcat-openbsd (1.105-5) unstable; urgency=low

  * Add $LDFLAGS from environment (Closes: #665321).

netcat-openbsd (1.105-4) unstable; urgency=high

  * High urgency for fixing RC bug.
  * Fix readwrite() behaviour (Closes: #662741).

netcat-openbsd (1.105-3) unstable; urgency=low

  * Clear up symlink of man page.
  * Use Breaks instead of Conflicts.
  * Fix minor warnings from man.

netcat-openbsd (1.105-2) unstable; urgency=low

  * Add missing Build-Depends: pkg-config.

netcat-openbsd (1.105-1) unstable; urgency=low

  * New upstream CVS snapshot, new maintainer.
    - Verbose message to strerr (Closes: #570765).
    - Can use packet's content > 1024 (Closes: #607003).
    - Replace non-portable echo with printf (Closes: #510372).
  * debian/patches:
    - Rearrange existing patches, fix new porting issues.
    - Option -l and -p are now compatible (Closes: #540073).
    - Use libbsd instead of glib for strlcpy (Closes: #550611).
    - Fix build with -Wl,--as-needed (Closes: #604781).
    - Handling multiple clients subsquently when -k (Closes: #514792).
    - Replace inet_ntoa with inet_ntop to support IPv6
      (Closes: #512992).
    - Modify -q behavior to be compatible with nc.traditional
      (Closes: #508722, #594614, #606925, #611964).
    - DCCP and broadcast support.
    - Arbitrary port list to scan.
    - Fix misc connection failures
      (Closes: #579485, #579486, #579487, #579488, #633948).
    - Improve verbose information and documentations.
  * debian/rules:
    - Link nc.openbsd.1 from nc.1 (Closes: #535951).
    - Enable optional hardening build flags.
  * debian/control:
    - Replace glib with libbsd.
    - Update to use debhelper 8, std-ver 3.9.2.
    - Priority: important, to make it into base system.
    - Add Vcs-*.
  * debian/compat:
    - Update to 8 from 4.
 -- Adam Gandelman <email address hidden> Wed, 30 May 2012 14:38:36 -0700

Changed in netcat-openbsd (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers